#ifndef KRAY_OFFLINE_BUFFER_H
#define KRAY_OFFLINE_BUFFER_H

#include "text.h"

// abstract class of command buffer that can be used to generate Kray script without presence of Kray library
// void out(const char*) method must be overloaded to make use of this class

namespace Kray{

class CommandOfflineBuffer : public CommandTextBuffer{
protected:
	CommandOfflineBuffer(bool packEnums=false):CommandTextBuffer(0,packEnums){
	}

	void parse();

public:
	virtual void out(const char* scriptLine)=0;
};

};

#endif