#ifndef VECAXIS_KRAYBUFFER_H
#define VECAXIS_KRAYBUFFER_H

#include <own/vecaxis.h>

namespace Kray{

inline Axes toAxes(const axis& o){
	Axes ax;
	o.copyto(ax.matrix[0]);
	ax.count=3;

	return ax;
}

inline Vector toVector(const vec& p){
	return Vector(p.X(),p.Y(),p.Z());
}

inline CommandBuffer& operator+(CommandBuffer& b,const vec& p){
	return b+toVector(p);
}
inline CommandBuffer& operator+(CommandBuffer& b,const axis& o){
	vec_hpb_scl h;
	o.get_hpb(&h);

	return b+toAxes(o);
}

};

#endif