/*
 Kray script commands list implementation
  generated from Kray
  use
   kray -c "commandsprotos 2,7,'kcmds.cpp';"
  to regenerate
*/

#include "kcmdsimp.h"

using namespace Kray;

const char* Enums::cmd_strings[]={
 "rem",
 "objectAdd",
 "render",
 "end",
 "echo",
 0,
 0,
 "variable",
 "double",
 "shapeAdd",
 "lightAdd",
 "coordSys",
 "color",
 "vector",
 "shape",
 "axes",
 "exit",
 "var",
 "blend",
 "fs",
 "texture",
 "mapping",
 "surface",
 "shaderNode",
 "background",
 "surfaceOp",
 "sett",
 "pv",
 "camera",
 "k2",
 "kray",
 "mem",
 "view",
 "parseMode",
 "net",
 "shadowMap",
 "environment",
 "light",
 "oct",
 "about",
 "parse",
 "delete",
 "pm",
 "lightOp",
 0,
 "fg",
 "metaTexture",
 "metaTextureSet",
 "bitmapData",
 "if",
 "interactive",
 "clear",
 "objectInfo",
 "materialSet",
 "bitmapOp",
 0,
 "lopt",
 "bitmap",
 "platform",
 "reference",
 "stop",
 "saveGis",
 "loadGis",
 "reset",
 "threads",
 "instanceLinkAdd",
 "instanceAdd",
 "shapeSelection",
 "shapeSelectionOp",
 "lw",
 "symbolsDelete",
 "rayCast",
 "postProcess",
 "groupLink",
 "openCl",
 "help",
 "commandsProtos",
 "gpGpu",
 0,
 "meshOp",
 "animObLink",
 "anim",
 "showInfo",
 "animOb",
 "group",
 "vertexMapOp",
 "vertexMap",
 "vertex2d",
 "vertex3d",
 "vertexData",
 "for",
 "include",
 "mlt",
 "pause",
 "while",
 0,
 "tds",
 "meshesOptions",
 "mesh",
 "meshAddPoly",
 0,
 "material",
 "metaSurface",
 0,
 "shObOp",
 "shOb",
 "portalAdd",
 0,
 0,
 0,
 0,
 "string",
 "stringId",
 "displaceMap",
 "fiberPack",
 "fiberPackOp",
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 "function",
 "class",
 "return",
 "classObject",
 "method"
};

const char* Enums::groupOps_strings[]={
 "clear",
 "select",
 "remove",
 "selectInstance",
 "attachSet",
 "add",
 "addInstance",
 "removeAll",
 "updateMaterials",
 "removeUnused"
};

const char* Enums::groupLinkTypes_strings[]={
 "group",
 "instance",
 "attachGroup",
 "attachInstance"
};

const char* Enums::aaMode_strings[]={
 "none",
 "uniform",
 "qmcAdaptive",
 "totalUniform",
 "totalQmcAdaptive",
 "totalQmc",
 "totalRandom",
 "rotUniform",
 "totalRotUniform",
 "totalMbRandom"
};

const char* Enums::aaModeOld_strings[]={
 "uniform",
 "adaptive",
 "path",
 "coneUniform",
 "coneAdaptive",
 "conePath"
};

const char* Enums::autoPhoton_strings[]={
 "global",
 "caustics",
 0,
 "gScaleCaustics",
 0,
 "gScalePrecached"
};

const char* Enums::background_strings[]={
 "color",
 "sky",
 "shader",
 0,
 "sphereMap",
 "fishEyeMap",
 0,
 0,
 "phySky",
 "phySkyEnv",
 0,
 "directionsMap"
};

const char* Enums::bitmaps_strings[]={
 "load",
 "charGray",
 "charRgba",
 "floatGray",
 "floatRgb",
 "floatRgba",
 "compress",
 "copy",
 "alphaMap",
 "bumpMap",
 "copyView",
 "bitPlane"
};

const char* Enums::outputChannels_strings[]={
 "rgb",
 "alph",
 "txtr",
 "zbuf",
 "dire",
 "shdn",
 "indi",
 "posi",
 "caus",
 0,
 "refl",
 0,
 "refr",
 0,
 "lumi",
 0,
 "othr",
 0,
 "sfid",
 0,
 "obid",
 0,
 "norm",
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 0,
 "rgba",
 "preview"
};

const char* Enums::blend_strings[]={
 "total",
 "partial",
 "none",
 "superficial",
 "fromShader",
 0,
 "default"
};

const char* Enums::camera_strings[]={
 "perspective",
 "sphere",
 "lens1",
 "lens2",
 "mesh",
 "fishEye",
 "parallel",
 "stereo",
 "parallelExt",
 "castMaps",
 "move",
 "rotate",
 "shift",
 "picture"
};

const char* Enums::dither_strings[]={
 "simple",
 "random",
 "floydSteinberg",
 "qRandom"
};

const char* Enums::environment_strings[]={
 "shader",
 "colorFade",
 "phySky"
};

const char* Enums::fiberpackParams_strings[]={
 "bBoxSize",
 "addFiber"
};

const char* Enums::infos_strings[]={
 "scene",
 "bitmaps",
 "symbols",
 "bitmapsExt",
 "vertexMaps",
 0,
 "pm",
 "fg",
 "shared",
 "all",
 "views",
 "fiberPacks",
 "anim"
};

const char* Enums::settings_strings[]={
 "bitmapPixelCompression",
 "energetic",
 "recurse",
 "maxRayColor",
 0,
 "outsideSize",
 "aRecurse",
 "sssOct",
 "sssErr",
 "rayDiff",
 "underSample",
 0,
 "imageSamplerMultiPass",
 "subframeRecomputeFlags",
 "failBitmap",
 "vrPrerender",
 "instanceOctreeWeight",
 "undersamplePrerender",
 "importanceGammaMultiplier",
 0,
 "pixelBufOrder",
 "miscBufOrder",
 "threadMinSplit",
 "semaphoreFileTryDelete",
 "lightRaysShadowCheck",
 0,
 "instanceRecurse",
 "outputTo",
 "pixelOrder",
 "outputFormat",
 0,
 0,
 "renderInfo",
 "renderInfoSize",
 "imageSampler",
 "edgeDetector",
 "splitScreen",
 "dither",
 "buffersMask",
 "ditherAmplitude",
 "edgeDetectorGlobals",
 "edgeDetectorSlot",
 "logFile",
 "debug",
 "debugTestValue",
 "pixelFilter",
 "mipMap",
 "toneMapping",
 "previewSize",
 "debugExecute"
};

const char* Enums::instanceTransformer_strings[]={
 "randomSeed",
 "randRotate",
 "randScaleX",
 "randScaleY",
 "randScaleZ",
 "randScale",
 "copyAxes",
 "normalRotate",
 "localAxes",
 "worldAxes",
 "copyRevAxes",
 "normalRandomRotate",
 "normalFixedRotate",
 "patternAxes"
};

const char* Enums::fileCommands_strings[]={
 "copy",
 "appendString",
 "cat",
 "hexCat",
 "pathSlashCut",
 "pathRemove",
 "pathSkipCurrentDir",
 "pathShow",
 "pathAdd",
 "openUrl",
 "list"
};

const char* Enums::toneMapSet_strings[]={
 0,
 "ray",
 0,
 "edge",
 0,
 "z"
};

const char* Enums::light_strings[]={
 "point",
 "shape",
 "rangeLimiter",
 "fakePhotonEmitter",
 "spot",
 "group",
 "symbol",
 "pointTextured",
 "parallel",
 "rectangle",
 "rectangleSpot",
 "shadowMapPoint",
 "shapeTextured",
 "dirPoint",
 "fadePoint",
 "fade",
 "linear",
 "fadeDirPoint",
 "line",
 "adaptive",
 "adaptiveSpot",
 "phySun",
 "sphere",
 "shadowCache",
 "sphereTextured",
 "spotTextured",
 "parallelTextured",
 "rectangleTextured",
 "rectangleSpotTextured",
 "shadowMapPointTextured",
 "dirPointTextured",
 "fadePointTextured",
 "lineTextured",
 "fadeDirPointTextured",
 "ies",
 "groupImportance",
 "distantSphere",
 "background",
 "phySky",
 "ambient",
 "ambientTextured",
 "photonMultiplier",
 "rectangleDS",
 "rectangleSpotDS",
 "rectangleTexturedDS",
 "rectangleSpotTexturedDS"
};

const char* Enums::lightOps_strings[]={
 "shadow"
};

const char* Enums::materialAttrib_strings[]={
 "diffuse",
 0,
 "light",
 "fresnel",
 "translucency",
 0,
 "ior",
 "bumpDepth",
 "forceColor",
 "lightGroup",
 "color",
 0,
 0,
 0,
 "transparency",
 "edgeDetectSlot",
 "diffuseModel",
 "reflection",
 "reflectionBlur",
 "refractionBlur",
 "blurRays",
 "blurMaxRays",
 "blurTolerance",
 "flags",
 "specularity",
 "glossiness",
 "reflectionBlurLights",
 "transparencyAffects",
 "backSideFlags",
 "ambientOcclusionColor",
 0,
 0,
 "ambientOcclusionDistance",
 "texture"
};

const char* Enums::materialTexture_strings[]={
 "color",
 "diffuse",
 "translucency",
 "transparency",
 "light",
 "reflection",
 "specularity",
 "bump",
 "normal"
};

const char* Enums::Mapping_strings[]={
 "rect",
 "sphere",
 "tube",
 "triangleUvMap"
};

const char* Enums::meshTag_strings[]={
 "material",
 "shader",
 0,
 "smoothing",
 "flags",
 0,
 "displaceDepth",
 "displacePointUv",
 "displacePolyUv",
 "displaceDepthPointUv",
 "displaceDepthPolyUv",
 "clipMap",
 "normalPointMap",
 "normalPolyMap",
 "displaceMap",
 "directClipMap",
 "name"
};

const char* Enums::meshExport_strings[]={
 "grabVertexMap",
 "videoScape"
};

const char* Enums::meshOperations_strings[]={
 "export",
 "removeDuplicates",
 "align",
 "removeUnusedTags",
 "autoGroup",
 "geometricNormalFlip",
 "setUvIndexShift",
 "saveScript",
 "points",
 "pointMeta",
 "polyMeta",
 "metaShare",
 "pointNormals",
 "polyNormals",
 "tagsMap",
 "tag",
 "addPolyTagName",
 "findQuads",
 "flip",
 "shadingNormalFlip"
};

const char* Enums::meshVertexmapGrab_strings[]={
 "discretizePoints",
 "samplePoints",
 "gridSamplePoints"
};

const char* Enums::metatextureAttrib_strings[]={
 "mapping",
 "lod",
 "inputTone",
 "wraping",
 "bitmap",
 "worldCoords",
 "colorVmap",
 "color",
 "bitmapFilename"
};

const char* Enums::metatextureMapping_strings[]={
 "external",
 "uv",
 "rect",
 "sphere",
 "tube",
 "sphereDirection",
 "projection",
 "projectionDirection",
 "fishEye",
 "fishEyeDirection"
};

const char* Enums::outputFormats_strings[]={
 "bmp",
 "png",
 "tga",
 "hdr",
 "exr",
 0,
 "jpg",
 "tif"
};

const char* Enums::objectSet_strings[]={
 "lwo",
 "lwo2",
 "function",
 "3ds",
 "mesh"
};

const char* Enums::miscSharedObjects_strings[]={
 "physky",
 "physky2",
 "water",
 "ies",
 "physky0"
};

const char* Enums::miscSharedObjectOpetarions_strings[]={
 "waterIterate",
 "waterSetBounds",
 "waterDisturb",
 "flags"
};

const char* Enums::pixelFilter_strings[]={
 "box",
 "cone",
 "lanczos",
 "mitchell",
 "spline",
 "catmull",
 "cubic",
 "quadric"
};

const char* Enums::postProcessor_strings[]={
 "filter",
 "shader",
 "add",
 "dof",
 "glow",
 "erode",
 0,
 "gBlur",
 "autoExp",
 "mult",
 "gamma",
 "desaturate",
 "histogramFix",
 "saveZ",
 "bitmapOverlay",
 "ca",
 0,
 "saveNormal",
 "saveImage",
 "stereogram",
 "trimAlpha",
 "erodeAlpha",
 "setDirectionsMapFormat"
};

const char* Enums::pixelServer_strings[]={
 "scanLine",
 "scanRow",
 "progressive",
 "random",
 "worm",
 "frost",
 "ripples",
 "flood"
};

const char* Enums::surface_strings[]={
 "diffuse",
 "metalic",
 "shaded",
 "default",
 "fromShader",
 0,
 "bump",
 "nrgTest",
 0,
 "energetic",
 0,
 0,
 0,
 0,
 0,
 "shSdEnergetic",
 "shSdSmoothEnergetic",
 "hybrid",
 0,
 0,
 "reflect",
 "black",
 "hybridRgb",
 "transparent",
 "glassTransparent2",
 0,
 "glass2",
 "sTransparent",
 "filterMetalic",
 0,
 0,
 0,
 0,
 0,
 "shadeMap",
 "reflectMap",
 "envMap",
 "statd",
 "blur2",
 "filter",
 "dSide",
 "stat",
 "color",
 "statReflect",
 "dispGlass2",
 "dReflect",
 "cosColor",
 "qStat",
 "qStatReflect",
 "qStatD",
 "qStatDReflect",
 "pmcShaded",
 0,
 "pmPrecached",
 "cShaded",
 0,
 0,
 0,
 "pmShaded",
 "gStat",
 "nrgShaded",
 0,
 "light",
 "pmUnfiltered",
 0,
 "fresnel",
 "dist2",
 "dist3",
 0,
 0,
 "cell",
 "sss",
 "gisst",
 "sst",
 "fHybrid",
 0,
 0,
 0,
 "zeroTransparent2",
 0,
 "noCC",
 "dist",
 "pmDirect",
 "mltshaded",
 "pmmcShaded",
 "pmcmcShaded",
 "glassTransparentText2",
 "ids",
 "occlusionMap",
 "ambientOcclusion",
 0,
 0,
 0,
 0,
 "pmBaked",
 "pmbShaded",
 "pmbcShaded",
 "mltHybrid",
 "btHybrid",
 "normal",
 "wireNormal",
 "uvColors"
};

const char* Enums::shape_strings[]={
 "wall",
 "sphere",
 "clipMap",
 "triangle",
 "uvTriangle",
 "polygon",
 "tube",
 "cone",
 "paraboloid",
 "circle",
 "rectangle",
 "ellipsoid",
 "and2",
 "or2",
 "sub2",
 0,
 "elipTube",
 "elipCone",
 "elipParaboloid",
 "fibers",
 0,
 "dQuad",
 "testShape",
 "intTriangle",
 "triangleSs",
 "uvTriangleSs",
 "intTriangleSs",
 "mandelBulb",
 "isoSurface",
 "distanceField",
 "qJulia",
 "dTriangle",
 "dTriangleSs",
 "dIntTriangle",
 "dIntTriangleSs"
};

const char* Enums::screenSplit_strings[]={
 "auto",
 "parts",
 "size",
 "betterAuto",
 "none"
};

const char* Enums::toneMapper_strings[]={
 "linear",
 "gamma",
 "exponential",
 "vGamma",
 "vExponential",
 "limitDr",
 "vLimitDr",
 0,
 0,
 "desaturate",
 "reverse",
 "gammaAlpha",
 "vGammaAlpha"
};

const char* Enums::Texture_strings[]={
 "color",
 "bitmap",
 "wire",
 "lodBitmap",
 "toneMap",
 "fromShader"
};

const char* Enums::ztoneMapper_strings[]={
 "linear",
 "inverse",
 "log"
};

const char* Enums::datatype_strings[]={
 "variable",
 "var",
 "double",
 "vector",
 "axes",
 "string",
 "reference"
};

const char* Enums::instanceAddAttribs_strings[]={
 "clipMap",
 "timeShift",
 "light"
};

const char* Enums::rayCast_strings[]={
 "camera",
 "z",
 "cameraZ",
 "zToHit",
 "hitToNormalQuick",
 "cameraHit",
 "init"
};

const char* Enums::previewCmds_strings[]={
 "start",
 "stop",
 "setAutoRestart",
 "pause",
 "waitLevel",
 "setDelay",
 "none",
 "raytrace",
 "rasterize",
 "setWeight",
 "render",
 "restart",
 "flayer",
 "iterativeWaitLevel",
 "on",
 "raycast",
 "setAnimMode",
 "pauseSignal"
};

const char* Enums::octreeCmds_strings[]={
 "limits",
 "build",
 "stats",
 "show",
 "explorer",
 "flags",
 "invalidate"
};

const char* Enums::shapeSelectionOps_strings[]={
 "add"
};

const char* Enums::portalOps_strings[]={
 "lightId",
 "shapeSelectionId",
 "sShapeSelectionLight"
};

const char* Enums::portalTypes_strings[]={
 "global",
 "caustics"
};

const char* Enums::openClCmds_strings[]={
 "platforms",
 "devices",
 "platformInfo",
 "deviceInfo"
};

const char* Enums::gpGpuCmds_strings[]={
 "listAvailable",
 "listUsed",
 "clear",
 "useGpus",
 "remove",
 "addOpenCl",
 "addInternal",
 "addDebug",
 "oct",
 "useInternal"
};

const char* Enums::meshInitializers_strings[]={
 "triple",
 "fromVertexMap",
 "import",
 "fromAnimOb",
 "fromBitmap"
};

const char* Enums::materialInitializers_strings[]={
 "fromMeshTag",
 "fromMeshTagName"
};

const char* Enums::shaderNodes_strings[]={
 "fromMeshTag",
 "twoSided",
 "toneMapFilter",
 "background",
 "extractAlpha",
 "environment",
 "chain",
 "dummy",
 "toneMap",
 "mix",
 "postProcess",
 "fromMeshTagName",
 "wire",
 "lowLevel",
 "visibilityFlags",
 "colorFilter",
 "giDesaturate"
};

const char* Enums::surfaceOperations_strings[]={
 "setFlag",
 "clearFlag"
};

const char* Enums::bitmapOp_strings[]={
 "plot",
 "copy",
 "show",
 "showZ",
 "showAlpha",
 "showDirections",
 "copyView",
 "load",
 "save",
 "process",
 "resize",
 "line",
 "circle",
 "fill",
 "clear",
 "flush",
 "showHit",
 "saveScript",
 "saveRaw",
 "loadRaw",
 "blit"
};

const char* Enums::phySkyLights_strings[]={
 "point",
 "parallel",
 "rectangle",
 "rectangleTextured"
};

const char* Enums::net_strings[]={
 "server",
 "ftp"
};

const char* Enums::platform_strings[]={
 "options",
 "test"
};

const char* Enums::view_strings[]={
 "select",
 "remove",
 "close",
 "camSingleSide",
 "camAspect",
 "size",
 "save",
 "flags",
 0,
 0,
 0,
 "freeRenderedImage",
 "removeAll",
 "window",
 "offset",
 "rayDiff",
 "postProcess",
 "toneMapping",
 "setActive",
 "selectActive",
 "render",
 "camFilter"
};

const char* Enums::photonMap_strings[]={
 "causticsBuild",
 "causticsSearch",
 "globalBuildLightMap",
 "photonNormal",
 "removeUnused",
 "globalBuild",
 "globalSearch",
 "precachedBuild",
 "precachedSearch",
 "receivedMinHitRatio",
 0,
 "smoothPrecacheScale",
 "globalMultiplier",
 "precacheLimitdr",
 "lmImportance",
 "lmAnim",
 "causticsMultiplier",
 "precachedBlur",
 "causticsRrValue",
 "precachedCorner",
 "showPreview",
 "auto",
 "stats",
 "timePrecached",
 "kdBalance",
 "kdOptimize",
 "reset",
 "globalBuildLightMapWithCaustics",
 "render"
};

const char* Enums::finalGather_strings[]={
 "gradients2",
 "gradients3",
 "gradients4",
 "gradReload",
 "gradSidethreshold",
 "gradients",
 "gradientsNeighbour",
 "irradianceBlurGamma",
 "irradianceBlur",
 "showSamples",
 "gradientsFlags",
 "raysNMultiplier",
 "irrMissingBlur",
 "showCornerSamples",
 "pixels",
 "rays",
 "timeGradients",
 "pmCorner",
 "scale",
 "scaleRelativeToGlobalPm",
 "scaleRelativeToPrecachedPm",
 "prerender",
 "reset",
 "render"
};

const char* Enums::lightOptions_strings[]={
 "rectangleQuality",
 "lemQuality",
 0,
 "lineQuality"
};

const char* Enums::lightWaveMeshOptions_strings[]={
 0,
 "textureSystem",
 "blur",
 "sideness",
 "airPolys",
 "baseNormalGrab",
 "raysLimit",
 "blurDoubleSide",
 "unseenByRaysAffectsGi",
 "reflectBlurModel"
};

const char* Enums::lightWave_strings[]={
 "areaLights",
 "sceneLoad",
 "camMode",
 "meshesOptions",
 "coneToArea",
 "environmentFlags",
 "shaderNodeBackground",
 "shaderNodeEnvironment",
 "raySamples",
 "bitmapLoad",
 "directLoader",
 "camCastMaps",
 "ignoreItemId",
 "ignoreItemName",
 "pathMode",
 "lightInputTone",
 "camBokeh",
 "selfInstance",
 "camMeshAndUv",
 "camDofTargetObject",
 "outputTo",
 "camStereo",
 "replaceLight",
 "instanceTemplateItem",
 "backgroundInputTone",
 "textureInputTone",
 "inputTone",
 "sceneReLoad",
 "commRingEvent",
 "invalidateScene",
 "controlAmbient",
 "controlBackground",
 "controlEnvironment",
 "itemReload",
 "nonPhyLightsCastsPhotons"
};

const char* Enums::treeds_strings[]={
 0,
 "sceneLoad"
};

const char* Enums::meshOptions_strings[]={
 "diffuseModel",
 "overrideSurface",
 "surfaceFlags",
 "bitFlags",
 "overrideColor",
 "overrideWire",
 "illuminateModel",
 "ambientOcclusion"
};

const char* Enums::animOperations_strings[]={
 "setupFrame",
 "setFps",
 "reset",
 "renderFrame"
};

const char* Enums::animObjectAttributesSet_strings[]={
 "setParent",
 "typeCopy",
 "rename",
 "setStatic",
 "showKeys",
 "clearKeys",
 "addPositionKey",
 "addAxesKey",
 "addChannelKey",
 "typeMesh",
 "typeNull",
 "remove",
 "setActive",
 "typeMeshInstance",
 "typeInstance",
 "addInstanceTransformer",
 "clearInstanceTransformers",
 "addKey",
 "setMeshHandnessAutoFlip",
 "typeCopyTree",
 "showInfo",
 "invalidateGeometry",
 "invalidateSurfaces",
 "typeBackground"
};

const char* Enums::vertexMapTypes_strings[]={
 "fixedSize",
 "grabMesh"
};

const char* Enums::vertexMapOps_strings[]={
 "show",
 "resize",
 "flush",
 "saveScript"
};

const char* Enums::memCmds_strings[]={
 "flush",
 "stats",
 "markerStats",
 "markerSet",
 "show"
};

const char* Enums::renderInfosStringFormat_strings[]={
 "ver",
 "days",
 "hours",
 "mins",
 "secs",
 "time",
 "file",
 "width",
 "height",
 "centisecs",
 "sectime",
 "kray",
 "threads",
 "group",
 "ptime",
 "build",
 "now",
 "prompt",
 0,
 "fileformat",
 "compiler",
 "platform",
 "extension",
 "frame",
 "buffer",
 "br",
 "arch",
 "buswidth",
 "endian",
 "score",
 "nowstamp",
 "view",
 "dq",
 "cr",
 "lf",
 "sq",
 "libraryDir"
};

