#ifndef SDK_BITMAPCALL_H
#define SDK_BITMAPCALL_H

#include "bmp.h"
#include "calling.h"
#include "object.h"

#ifdef __cplusplus
namespace Kray{

struct KrayBitmapFunctions{
	static void KRAYDLL_CALL_TYPE getBitmapInfo(const KrayBitmapHandle bitmap,struct _KrayBitmapInfo* binfo);
	static char KRAYDLL_CALL_TYPE setBitmapSharedMemory(const KrayBitmapHandle bitmap,void* memory,int width,int height);
};

class BitmapFunctionsVtable : public Object{
public:
	void (KRAYDLL_CALL_TYPE *getBitmapInfo)(const KrayBitmapHandle bitmap,_KrayBitmapInfo* binfo);
	char (KRAYDLL_CALL_TYPE *setBitmapSharedMemory)(const KrayBitmapHandle bitmap,void* memory,int width,int height);

	void init(){
		getBitmapInfo=&(KrayBitmapFunctions::getBitmapInfo);
		setBitmapSharedMemory=&(KrayBitmapFunctions::setBitmapSharedMemory);
	}	
};

};

#endif

#endif