#include "../kraysdk/proto/direct.h"
#include "../kraysdk/proto/offline.h"
#include "../kraysdk/buffer/binary.h"
#include "../kraysdk/buffer/text.h"
#include "../kraysdk/kray.h"

using namespace Kray;

Prototyper::Prototyper(CommandBuffer* buf):freeBuffer(true){
	this->buf=buf;
}
Prototyper::Prototyper(Instance* kinst):freeBuffer(true){
	buf=new CommandQuickTextBuffer(kinst);
}
Prototyper::~Prototyper(){
	if (freeBuffer){
		delete buf;
	}
}


/////////////////////////////////////////////////////////

DirectPrototyper::DirectPrototyper(Instance* kinst):Prototyper(new CommandBinaryBuffer(kinst)){
}

void DirectPrototyper::parse(const char* commands){
	buffer().getKrayInstance()->parse(commands);
}
