#ifndef KRAY_DIRECT_PROTOTYPER_H
#define KRAY_DIRECT_PROTOTYPER_H

#include "proto.h"

// this prototyper overloads few performance critical functions
// calls them directly rather then via CommandBuffer
// its faster, but cannot be used to generate offline Kray scripts

namespace Kray{

class DirectPrototyper : public Prototyper{
public:
	DirectPrototyper(Instance* inst);
	DirectPrototyper(class CommandBuffer& buf):Prototyper(buf){
	}

	void parse(const char* commands);

	// TODO, overload performance critical functions
};

};

#endif