// Static Kray::Library object handler (works with dynamic and static Kray lib linking)

#ifndef KRAY_STATIC_LINK_H
#define KRAY_STATIC_LINK_H

namespace Kray{

	class StaticLibraryLoader{		// can load dynamic lib and store static link to it, or gives access to static Kray lib
		class Library* loadedLibrary;
	public:
		StaticLibraryLoader():loadedLibrary(0){
		}
		~StaticLibraryLoader();

		Library& getLibrary(const char* dynamicLibraryDirectory=0);
	};

	Library& getLibrary(const char* dynamicLibraryDirectory=0);

};

#endif
