#ifndef KRAY_IOSTREAM_H
#define KRAY_IOSTREAM_H

#ifdef KRAY_NO_IOSTERAM
#error Kray ostream link disabled
#endif

#ifdef KRAY_USE_IOSTREAM_H
#include <ostream.h>
#else
#include <ostream>

namespace Kray{

typedef std::ostream ostream;

};
#endif

namespace Kray{

ostream& operator<<(ostream& out,const Vector& v);
ostream& operator<<(ostream& out,const Axes& v);
ostream& operator<<(ostream& out,const CoordSys& v);

};

#endif