#ifndef KRAY_STD_STRING_H
#define KRAY_STD_STRING_H

#include <string>

#include "../type/string.h"

namespace Kray{

class StdString : public std::string{
public:
	StdString(const char* str):std::string(str){
	}
	StdString(const std::string& str):std::string(str){
	}
	StdString(const String& str):std::string(str.string){
	}

	operator String() const{
		return String(this->c_str());
	}
	void set(const char* str){
		(*this)=str;
	}
	void set(const std::string& str){
		(*this)=str;
	}
};

};

#endif