#ifndef KRAY_MESH_SYMB_H
#define KRAY_MESH_SYMB_H

#include "../base/parser.h"
#include "symbol.h"

namespace Kray{

struct MeshInfo{
};

class Mesh : public MeshInfo{
	friend class MeshSymbol;
protected:
	Mesh(){
	}

public:
};

class MeshSymbol : public Symbol{
	Mesh kmo;

	void registerSymbol();
public:
	MeshSymbol(class CommandBuffer& ktb,const char* name=0):Symbol(ktb,name){
		registerSymbol();
	}
	
	Mesh& getDirect(){
		return kmo;
	}

	void addPoly(int polygon_tag,const VarLenDouble& polygon,int group_id=0,int flags=0);
	void points(const VertexMapSymbol& vmap);	// attaches points vertex map to mesh
};

};

#endif