#ifndef KRAY_STRINGABLE_H
#define KRAY_STRINGABLE_H

#include "../buffer/dynamic.h"

namespace Kray{

// class with const char* conversion operator

template <class T> class Stringable : public T{
	DynamicBuffer rb;

public:
	Stringable(){
	}
	template <class A> Stringable(A& a):T(a){
	}	
	template <class A,class B> Stringable(A& a,B& b):T(a,b){
	}	

	operator const char*(){
		return T::toString(rb);
	}
};

};

#endif