#ifndef CPUINFO_DATA_H
#define CPUINFO_DATA_H

class CpuInfoData{
	int simd;		// sse version avaiable, multiplied by 1000, for ex. 4100 means SSE4.1, 0 means no SSE
					// value of 500, means MMX
	char name[128];

protected:
	void set();
	
public:
	CpuInfoData():simd(0){
		name[0]=0;

		set();
	}

	const char* getName(const char* default_name="CPU") const{
		if (name[0]!=0){
			return name;
		}else{
			return default_name;
		}
	}
	int getVersion() const{
		return simd;
	}
};

#endif
