#ifndef DELETING_POINTER_H
#define DELETING_POINTER_H

template <class T> class DeletingPointer{
	T* pointer;
public:
	DeletingPointer(T* ptr=0):pointer(ptr){
	};
	~DeletingPointer(){
		set(0);
	}

	void set(T* ptr){
		delete pointer;
		pointer=ptr;
	}

	T* operator->() const{
		return pointer;
	}

	operator T*() const{
		return pointer;
	}

	bool operator!() const{
		return pointer==0;
	}
	operator bool() const{
		return pointer!=0;
	}
};

#endif