#ifndef SDK_INFO_H
#define SDK_INFO_H

#define KRAY_INT_API_VERSION		0
#define KRAY_INT_COMPILE_FLAGS		1

#define KRAY_STRING_VERSION			0
#define KRAY_STRING_DESCRIPTION		1
#define KRAY_STRING_LIBS			2
#define KRAY_STRING_MODULES			3
#define KRAY_STRING_COPYRIGHT		4
#define KRAY_STRING_HOME_URL		5
#define KRAY_STRING_PLATFORM		6
#define KRAY_STRING_COPYRIGHT_UTF8	7

#define KRAY_STREAM_EVENT_STRING	100
#define KRAY_STREAM_EVENT_STRINGS	3
#define KRAY_STREAM_EVENT_UNKNOWN	(-1)
#define KRAY_STREAM_EVENT_END		(KRAY_STREAM_EVENT_STRING+KRAY_STREAM_EVENT_STRINGS)

#define KRAY_EVENT_PROGRESS				(KRAY_STREAM_EVENT_STRING+0)
#define KRAY_EVENT_RENDER_FINISHED		(KRAY_STREAM_EVENT_STRING+1)
#define KRAY_EVENT_RENDER_INTERRUPTED	(KRAY_STREAM_EVENT_STRING+2)

#define KRAY_COMPILE_FLAG_VECTOR_DOUBLE		1	// double precision geometry

#endif