#ifndef SDK_VMAP_H
#define SDK_VMAP_H

#include "../base/commons.h"

typedef struct _KrayVertexMapStruct{
	size_t stop;
	
	void* data;

	int dim;		// vertex map dimension
	int samples;	// number of time samples (global for vertexmap)
} KrayVertexMapStruct;

#ifdef __cplusplus
namespace Kray{

class KrayVertexMap : public _KrayVertexMapStruct{
public:
	size_t dataIndex(size_t index,int column=0,int sample=0) const{
		return dim*samples*index+dim*sample+column;
	}
};

};

#endif

#endif