// Universal, platform independent program startup

#ifndef KRAY_STARTUP_H
#define KRAY_STARTUP_H

typedef int (MainFunction)(int argc,const char** argv);

#if defined(_MACOS_COCOA_STARTUP) || defined(_COCOA) || defined(_MACOS) || defined(KRAY_RESOURCE_COCOA_BUNDLE)
# ifndef _MACOS_COCOA_STARTUP_TOOLS
#  define _MACOS_COCOA_STARTUP_TOOLS
# endif
extern "C" char isCocoaStartupArgument(const char* arg);
extern "C" char isCocoaNSArgument(const char* arg);
extern "C" int skipCocoaArgument(const char* arg);
extern "C" char isCocoaStartup(int argc,const char** argv);
extern "C" const char* getCocoaResource(const char* resource,const char* type=0);
extern "C" int mainKrayCocoaStarter(MainFunction* main,int argc, const char** argv);
extern "C" int mainFilteredCocoaArgumentStarter(MainFunction* main,int argc,const char** argv,char cocoaStart=1);
#endif

#ifdef _MACOS_COCOA_STARTUP
#define krayCallMain(m,c,v) mainFilteredCocoaArgumentStarter(m,c,v)
#else
#define krayCallMain(m,c,v) m(c,v)
#endif

#endif
